package com.jz.dmp.modules.controller.bean;

import com.jz.common.annotation.FieldAssist;
import com.jz.common.bean.BasePageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**项目表字段类型参数请求封装
 * @author ybz
 *
 */
@ApiModel(value = "项目表字段类型参数请求封装", description = "项目表字段类型参数请求封装")
public class DmpTableFieldSchemaRequest extends BasePageBean {
	/**
	* ID
	*/
	@ApiModelProperty(value = "ID")
	@FieldAssist(orderBy = "_schema.ID")
	private Integer id;

	/**
	* 数据源类型主键
	*/
	@ApiModelProperty(value = "数据源类型主键")
	@FieldAssist(orderBy = "_schema.DST_ID")
	private Integer dstId;

	/**
	* 类型类别
	*/
	@ApiModelProperty(value = "类型类别")
	@FieldAssist(orderBy = "_schema.TYPE_CATEGORY")
	private String typeCategory;

	/**
	* 字段类型
	*/
	@ApiModelProperty(value = "字段类型")
	@FieldAssist(orderBy = "_schema.FIELD_TYPE")
	private String fieldType;

	/**
	* 是否类别的默认映射
	*/
	@ApiModelProperty(value = "是否类别的默认映射")
	@FieldAssist(orderBy = "_schema.IS_CAT_DEFAULT")
	private String isCatDefault;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getDstId() {
		return dstId;
	}

	public void setDstId(Integer dstId) {
		this.dstId = dstId;
	}

	public String getTypeCategory() {
		return typeCategory;
	}

	public void setTypeCategory(String typeCategory) {
		this.typeCategory = typeCategory;
	}

	public String getFieldType() {
		return fieldType;
	}

	public void setFieldType(String fieldType) {
		this.fieldType = fieldType;
	}

	public String getIsCatDefault() {
		return isCatDefault;
	}

	public void setIsCatDefault(String isCatDefault) {
		this.isCatDefault = isCatDefault;
	}
}
